Subject: Re: ppoll() stuck on POLLIN while TCP peer is sending

From: Eric Wong <[email-masked]>
Date: Fri, 28 Dec 2012 07:06:52 +0000

Eric Wong <[email-masked]> wrote:
> I'm finding ppoll() unexpectedly stuck when waiting for POLLIN on a
> local TCP socket.  The isolated code below can reproduces the issue
> after many minutes (<1 hour).  It might be easier to reproduce on
> a busy system while disk I/O is happening.

Ugh, I can't seem to reproduce this anymore...  Will try something
else tomorrow.